public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] portage r13195 - in main/branches/prefix/bin: . ebuild-helpers
@ 2009-03-26 20:53 Fabian Groffen (grobian)
  0 siblings, 0 replies; only message in thread
From: Fabian Groffen (grobian) @ 2009-03-26 20:53 UTC (permalink / raw
  To: gentoo-commits

Author: grobian
Date: 2009-03-26 20:53:23 +0000 (Thu, 26 Mar 2009)
New Revision: 13195

Modified:
   main/branches/prefix/bin/ebuild-helpers/doexe
   main/branches/prefix/bin/ebuild-helpers/domo
   main/branches/prefix/bin/ebuild.sh
Log:
   Merged from trunk -r13180:13184

   | 13181   | Remove unused tar_opts variable inside unpack(). Thanks to   |
   | zmedico | zong_sharo for reporting.                                    |
   
   | 13182   | Fix domo and doexe to return non-zero if there are any       |
   | zmedico | errors. Thanks to zong_sharo for reporting.                  |
   
   | 13183   | Move distcc and ccache PATH setup later, after EAPI is       |
   | zmedico | guaranteed to be known, so that it's possible to do          |
   |         | indepenent EAPI-specific PATH modifications prior to the     |
   |         | distcc/ccache modifications.                                 |
   
   | 13184   | Source bashrc after PATH tweaks inside ebuild_main().        |
   | zmedico |                                                              |


Modified: main/branches/prefix/bin/ebuild-helpers/doexe
===================================================================
--- main/branches/prefix/bin/ebuild-helpers/doexe	2009-03-26 20:45:18 UTC (rev 13194)
+++ main/branches/prefix/bin/ebuild-helpers/doexe	2009-03-26 20:53:23 UTC (rev 13195)
@@ -14,6 +14,8 @@
 	install -d "${ED}${_E_EXEDESTTREE_}"
 fi
 
+ret=0
+
 for x in "$@" ; do
 	if [ -L "${x}" ] ; then
 		cp "${x}" "${T}"
@@ -24,6 +26,11 @@
 	else
 		mysrc="${x}"
 	fi
-	install $EXEOPTIONS "$mysrc" "$ED$_E_EXEDESTTREE_" || \
+	if ! install $EXEOPTIONS "$mysrc" "$ED$_E_EXEDESTTREE_" ; then
 		echo "!!! ${0##*/}: $mysrc does not exist" 1>&2
+		false
+	fi
+	((ret+=$?))
 done
+
+exit $ret

Modified: main/branches/prefix/bin/ebuild-helpers/domo
===================================================================
--- main/branches/prefix/bin/ebuild-helpers/domo	2009-03-26 20:45:18 UTC (rev 13194)
+++ main/branches/prefix/bin/ebuild-helpers/domo	2009-03-26 20:53:23 UTC (rev 13195)
@@ -12,6 +12,8 @@
 	install -d "${ED}${DESTTREE}/share/locale/"
 fi
 
+ret=0
+
 for x in "$@" ; do
 	if [ -e "${x}" ] ; then
 		mytiny="${x##*/}"
@@ -22,5 +24,9 @@
 		install -m0644 "${x}" "${mydir}/${MOPREFIX}.mo"
 	else
 		echo "!!! ${0##*/}: $x does not exist" 1>&2
+		false
 	fi
+	((ret+=$?))
 done
+
+exit $ret

Modified: main/branches/prefix/bin/ebuild.sh
===================================================================
--- main/branches/prefix/bin/ebuild.sh	2009-03-26 20:45:18 UTC (rev 13194)
+++ main/branches/prefix/bin/ebuild.sh	2009-03-26 20:53:23 UTC (rev 13195)
@@ -327,7 +327,6 @@
 	local x
 	local y
 	local myfail
-	local tar_opts=""
 	local eapi=${EAPI:-0}
 	[ -z "$*" ] && die "Nothing passed to the 'unpack' command"
 
@@ -349,7 +348,7 @@
 
 		_unpack_tar() {
 			if [ "${y}" == "tar" ]; then
-				$1 -dc "${srcdir}${x}" | tar xof - ${tar_opts}
+				$1 -dc "$srcdir$x" | tar xof -
 				assert "$myfail"
 			else
 				$1 -dc "${srcdir}${x}" > ${x%.*} || die "$myfail"
@@ -359,13 +358,13 @@
 		myfail="failure unpacking ${x}"
 		case "${x##*.}" in
 			tar)
-				tar xof "${srcdir}${x}" ${tar_opts} || die "$myfail"
+				tar xof "$srcdir$x" || die "$myfail"
 				;;
 			tgz)
-				tar xozf "${srcdir}${x}" ${tar_opts} || die "$myfail"
+				tar xozf "$srcdir$x" || die "$myfail"
 				;;
 			tbz|tbz2)
-				bzip2 -dc "${srcdir}${x}" | tar xof - ${tar_opts}
+				bzip2 -dc "$srcdir$x" | tar xof -
 				assert "$myfail"
 				;;
 			ZIP|zip|jar)
@@ -1724,64 +1723,6 @@
 # === === === === === functions end, main part begins === === === === ===
 # === === === === === === === === === === === === === === === === === ===
 
-if [ -n "${EBUILD_SH_ARGS}" ] && \
-	! hasq ${EBUILD_SH_ARGS} clean depend help info nofetch ; then
-
-	if [ "$(id -nu)" == "portage" ] ; then
-		export USER=portage
-	fi
-
-	if hasq distcc ${FEATURES} ; then
-		if [ -d "${EPREFIX}"/usr/lib/distcc/bin ]; then
-			#We can enable distributed compile support
-			if [ -z "${PATH/*distcc*/}" ]; then
-				# Remove the other reference.
-				remove_path_entry "distcc"
-			fi
-			export PATH="${EPREFIX}/usr/lib/distcc/bin:${PATH}"
-			[ ! -z "${DISTCC_LOG}" ] && addwrite "$(dirname ${DISTCC_LOG})"
-		elif which distcc &>/dev/null; then
-			if ! hasq distcc $CC; then
-				export CC="distcc $CC"
-			fi
-			if ! hasq distcc $CXX; then
-				export CXX="distcc $CXX"
-			fi
-		fi
-	fi
-
-	if hasq ccache ${FEATURES} ; then
-		#We can enable compiler cache support
-		if [ -z "${PATH/*ccache*/}" ]; then
-			# Remove the other reference.
-			remove_path_entry "ccache"
-		fi
-
-		if [ -d "${EPREFIX}"/usr/lib/ccache/bin ]; then
-			export PATH="${EPREFIX}/usr/lib/ccache/bin:${PATH}"
-		elif [ -d "${EPREFIX}"/usr/bin/ccache ]; then
-			export PATH="${EPREFIX}/usr/bin/ccache:${PATH}"
-		fi
-
-		[ -z "${CCACHE_DIR}" ] && export CCACHE_DIR="${EPREFIX}/var/tmp/ccache"
-
-		addread "${CCACHE_DIR}"
-		addwrite "${CCACHE_DIR}"
-
-		[ -n "${CCACHE_SIZE}" ] && ccache -M ${CCACHE_SIZE} &> /dev/null
-	else
-		# Force configure scripts that automatically detect ccache to respect
-		# FEATURES="-ccache"
-		export CCACHE_DISABLE=1
-	fi
-
-	# XXX: Load up the helper functions.
-#	for X in @PORTAGE_BASE@/bin/functions/*.sh; do
-#		source ${X} || die "Failed to source ${X}"
-#	done
-
-fi # "$*"!="depend" && "$*"!="clean" && "$*" != "setup"
-
 export SANDBOX_ON="1"
 export S=${WORKDIR}/${P}
 
@@ -1954,11 +1895,47 @@
 fi
 
 ebuild_main() {
-	source_all_bashrcs
 	local f x
 	local export_vars="ASFLAGS CCACHE_DIR CCACHE_SIZE
 		CFLAGS CXXFLAGS LDFLAGS LIBCFLAGS LIBCXXFLAGS"
 
+	if ! hasq $EBUILD_SH_ARGS clean depend help info nofetch ; then
+
+		if hasq distcc $FEATURES ; then
+			if [ -d "${EPREFIX}"/usr/lib/distcc/bin ] ; then
+				[[ -z ${PATH/*distcc*/} ]] && remove_path_entry distcc
+				export PATH="${EPREFIX}/usr/lib/distcc/bin:$PATH"
+				[[ -n $DISTCC_LOG ]] && addwrite "${DISTCC_LOG%/*}"
+			elif type -P distcc >/dev/null ; then
+				! hasq distcc $CC && export CC="distcc $CC"
+				! hasq distcc $CXX && export CXX="distcc $CXX"
+			fi
+		fi
+
+		if hasq ccache $FEATURES ; then
+			[[ -z ${PATH/*ccache*/} ]] && remove_path_entry ccache
+
+			if [ -d "${EPREFIX}"/usr/lib/ccache/bin ] ; then
+				export PATH="${EPREFIX}/usr/lib/ccache/bin:$PATH"
+			elif [ -d "${EPREFIX}"/usr/bin/ccache ] ; then
+				export PATH="${EPREFIX}/usr/bin/ccache:$PATH"
+			fi
+
+			[[ -z $CCACHE_DIR ]] && export CCACHE_DIR="${EPREFIX}"/var/tmp/ccache
+
+			addread "$CCACHE_DIR"
+			addwrite "$CCACHE_DIR"
+
+			[[ -n $CCACHE_SIZE ]] && ccache -M $CCACHE_SIZE &> /dev/null
+		else
+			# Force configure scripts that automatically detect ccache to
+			# respect FEATURES="-ccache".
+			export CCACHE_DISABLE=1
+		fi
+	fi
+
+	source_all_bashrcs
+
 	case ${EBUILD_SH_ARGS} in
 	nofetch)
 		ebuild_phase_with_hooks pkg_nofetch




^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-03-26 20:53 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-03-26 20:53 [gentoo-commits] portage r13195 - in main/branches/prefix/bin: . ebuild-helpers Fabian Groffen (grobian)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox